--- build/msvc/Slade3.sln
+++ build/msvc/Slade3.sln
@@ -9,8 +9,6 @@ Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C9
 		{6077B7D6-349F-4077-B552-3BC302EF5859} = {6077B7D6-349F-4077-B552-3BC302EF5859}
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "updaterevision", "..\..\src\updaterevision\updaterevision.vcproj", "{6077B7D6-349F-4077-B552-3BC302EF5859}"
-EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "bzip2", "..\..\src\bzip2\bzip2.vcproj", "{A7DE5C73-D623-4118-A48A-BDFD1FAE97D4}"
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lzmalib", "..\..\src\lzma\lzmalib.vcproj", "{6EB27E78-7C7A-4F08-8E19-957E8EB3A20F}"
@@ -19,28 +17,17 @@ Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C9
 EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
 		Release|Win32 = Release|Win32
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{33CC5FBD-4EB0-48A9-9069-0EC0B5FF5A46}.Debug|Win32.ActiveCfg = Debug|Win32
-		{33CC5FBD-4EB0-48A9-9069-0EC0B5FF5A46}.Debug|Win32.Build.0 = Debug|Win32
 		{33CC5FBD-4EB0-48A9-9069-0EC0B5FF5A46}.Release|Win32.ActiveCfg = Release|Win32
 		{33CC5FBD-4EB0-48A9-9069-0EC0B5FF5A46}.Release|Win32.Build.0 = Release|Win32
-		{6077B7D6-349F-4077-B552-3BC302EF5859}.Debug|Win32.ActiveCfg = Debug|Win32
-		{6077B7D6-349F-4077-B552-3BC302EF5859}.Debug|Win32.Build.0 = Debug|Win32
 		{6077B7D6-349F-4077-B552-3BC302EF5859}.Release|Win32.ActiveCfg = Release|Win32
 		{6077B7D6-349F-4077-B552-3BC302EF5859}.Release|Win32.Build.0 = Release|Win32
-		{A7DE5C73-D623-4118-A48A-BDFD1FAE97D4}.Debug|Win32.ActiveCfg = Debug|Win32
-		{A7DE5C73-D623-4118-A48A-BDFD1FAE97D4}.Debug|Win32.Build.0 = Debug|Win32
 		{A7DE5C73-D623-4118-A48A-BDFD1FAE97D4}.Release|Win32.ActiveCfg = Release|Win32
 		{A7DE5C73-D623-4118-A48A-BDFD1FAE97D4}.Release|Win32.Build.0 = Release|Win32
-		{6EB27E78-7C7A-4F08-8E19-957E8EB3A20F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{6EB27E78-7C7A-4F08-8E19-957E8EB3A20F}.Debug|Win32.Build.0 = Debug|Win32
 		{6EB27E78-7C7A-4F08-8E19-957E8EB3A20F}.Release|Win32.ActiveCfg = Release|Win32
 		{6EB27E78-7C7A-4F08-8E19-957E8EB3A20F}.Release|Win32.Build.0 = Release|Win32
-		{F9D9E7D4-E1A2-4866-9E85-B1B14137EE63}.Debug|Win32.ActiveCfg = Debug|Win32
-		{F9D9E7D4-E1A2-4866-9E85-B1B14137EE63}.Debug|Win32.Build.0 = Debug|Win32
 		{F9D9E7D4-E1A2-4866-9E85-B1B14137EE63}.Release|Win32.ActiveCfg = Release|Win32
 		{F9D9E7D4-E1A2-4866-9E85-B1B14137EE63}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
--- build/msvc/Slade3.vcproj
+++ build/msvc/Slade3.vcproj
@@ -16,84 +16,6 @@
 	</ToolFiles>
 	<Configurations>
 		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory=".\dist"
-			IntermediateDirectory="$(ConfigurationName)"
-			ConfigurationType="1"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				AdditionalOptions="/I &quot;libmodplug\libmodplug&quot; /D &quot;USE_SFML_RENDERWINDOW&quot; /D &quot;__WXMSW__&quot; /D &quot;NOPCH&quot; /D &quot;GLEW_STATIC&quot; /D &quot;SFML_STATIC&quot;  /D &quot;UPDATEREVISION&quot;"
-				Optimization="0"
-				AdditionalIncludeDirectories="src;gme\gme;libmodplug\libmodplug"
-				PreprocessorDefinitions="WXDEBUG;WIN32;_DEBUG;_WINDOWS;_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				UsePrecompiledHeader="0"
-				WarningLevel="3"
-				DebugInformationFormat="4"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="winmm.lib rpcrt4.lib kernel32.lib user32.lib gdi32.lib ole32.lib oleaut32.lib comctl32.lib comdlg32.lib uuid.lib advapi32.lib shell32.lib fluidsynth.lib wxbase31ud.lib wxmsw31ud_core.lib wxmsw31ud_gl.lib wxmsw31ud_aui.lib wxmsw31ud_html.lib wxmsw31ud_adv.lib wxmsw31ud_stc.lib wxzlibd.lib wxpngd.lib wxscintillad.lib opengl32.lib glu32.lib FreeImage.lib sfml-graphics-s-d.lib sfml-window-s-d.lib sfml-audio-s-d.lib sfml-system-s-d.lib sfml-main-d.lib"
-				OutputFile="$(OutDir)\$(ProjectName)-dbg.exe"
-				LinkIncremental="2"
-				GenerateDebugInformation="true"
-				SubSystem="2"
-				TargetMachine="1"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
 			Name="Release|Win32"
 			OutputDirectory="..\..\dist"
 			IntermediateDirectory="$(ConfigurationName)"
@@ -103,8 +25,6 @@
 			>
 			<Tool
 				Name="VCPreBuildEventTool"
-				Description="Checking gitinfo.h..."
-				CommandLine="&quot;$(OutDir)\updaterevision.exe&quot; &quot;$(OutDir)\..\src\gitinfo.h&quot;"
 			/>
 			<Tool
 				Name="VCCustomBuildTool"
@@ -123,8 +43,8 @@
 				Optimization="2"
 				EnableIntrinsicFunctions="true"
 				WholeProgramOptimization="false"
-				AdditionalIncludeDirectories="..\..\src;..\..\src\dumb;..\..\gme\gme"
-				PreprocessorDefinitions="WIN32;USE_SFML_RENDERWINDOW;USE_WEBVIEW_STARTPAGE;__WXMSW__;_WINDOWS;NOPCH;_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;GLEW_STATIC;SFML_STATIC;NDEBUG;UPDATEREVISION"
+				AdditionalIncludeDirectories="..\..\src;..\..\src\dumb"
+				PreprocessorDefinitions="WIN32;USE_SFML_RENDERWINDOW;USE_WEBVIEW_STARTPAGE;__WXMSW__;_WINDOWS;NOPCH;_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;NDEBUG"
 				GeneratePreprocessedFile="0"
 				StringPooling="true"
 				RuntimeLibrary="2"
@@ -144,12 +64,12 @@
 			/>
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalOptions="/NODEFAULTLIB:LIBCMT"
-				AdditionalDependencies="winmm.lib comctl32.lib rpcrt4.lib wsock32.lib user32.lib shell32.lib advapi32.lib comdlg32.lib gdi32.lib ole32.lib oleaut32.lib fluidsynth.lib FreeImage.lib wxbase31u.lib wxmsw31u_core.lib wxmsw31u_aui.lib wxmsw31u_gl.lib wxmsw31u_html.lib wxmsw31u_adv.lib wxmsw31u_stc.lib wxmsw31u_media.lib wxtiff.lib wxjpeg.lib wxpng.lib wxzlib.lib wxregexu.lib wxexpat.lib wxscintilla.lib sfml-graphics-s.lib sfml-window-s.lib sfml-audio-s.lib sfml-system-s.lib sfml-main.lib glu32.lib"
+				AdditionalOptions="/NODEFAULTLIB:LIBCMT /NODEFAULTLIB:LIBCMTD"
+				AdditionalDependencies="winmm.lib comctl32.lib rpcrt4.lib wsock32.lib user32.lib shell32.lib advapi32.lib comdlg32.lib gdi32.lib ole32.lib oleaut32.lib glew32.lib fluidsynth.lib FreeImage.lib wxbase30u.lib wxbase30u_net.lib wxmsw30u_core.lib wxmsw30u_aui.lib wxmsw30u_gl.lib wxmsw30u_webview.lib wxmsw30u_adv.lib wxmsw30u_stc.lib wxmsw30u_propgrid.lib wxmsw30u_media.lib wxtiff.lib wxjpeg.lib wxpng.lib wxzlib.lib wxregexu.lib wxexpat.lib wxscintilla.lib sfml-graphics.lib sfml-window.lib sfml-audio.lib sfml-system.lib sfml-main.lib OpenAL32.lib opengl32.lib glu32.lib"
 				LinkIncremental="1"
 				GenerateManifest="true"
-				GenerateDebugInformation="true"
-				GenerateMapFile="true"
+				GenerateDebugInformation="false"
+				GenerateMapFile="false"
 				MapFileName="$(TargetDir)$(TargetName).map"
 				MapExports="true"
 				SubSystem="2"
@@ -525,14 +445,6 @@
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\GMEPlayer.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\GMEPlayer.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\KeyBind.cpp"
 				>
 			</File>
@@ -609,19 +521,19 @@
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\OPLPlayer.cpp"
+				RelativePath="..\..\src\SAction.cpp"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\OPLPlayer.h"
+				RelativePath="..\..\src\SAction.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\SAction.cpp"
+				RelativePath="..\..\src\SAuiTabArt.cpp"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\SAction.h"
+				RelativePath="..\..\src\SAuiTabArt.h"
 				>
 			</File>
 			<File
@@ -660,14 +572,6 @@
 				Name="Utility"
 				>
 				<File
-					RelativePath="..\..\src\AudioTags.cpp"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\AudioTags.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\CodePages.cpp"
 					>
 				</File>
@@ -809,6 +713,14 @@
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\DataEntryPanel.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\DataEntryPanel.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\EntryOperations.cpp"
 				>
 			</File>
@@ -851,14 +763,6 @@
 					RelativePath="..\..\src\ConsolePanel.h"
 					>
 				</File>
-				<File
-					RelativePath="..\..\src\DocsPage.cpp"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\DocsPage.h"
-					>
-				</File>
 				<Filter
 					Name="ArchivePanel"
 					>
@@ -899,14 +803,6 @@
 						>
 					</File>
 					<File
-						RelativePath="..\..\src\DataEntryPanel.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\DataEntryPanel.h"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\DefaultEntryPanel.cpp"
 						>
 					</File>
@@ -1125,6 +1021,14 @@
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\MapBackupPanel.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\MapBackupPanel.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\MapChecks.cpp"
 				>
 			</File>
@@ -1216,14 +1120,6 @@
 					>
 				</File>
 				<File
-					RelativePath="..\..\src\MapBackupPanel.cpp"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\MapBackupPanel.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\MapCanvas.cpp"
 					>
 				</File>
@@ -1360,7 +1256,7 @@
 					</File>
 				</Filter>
 				<Filter
-					Name="Props Panels"
+					Name="MapObjectPropsPanel"
 					>
 					<File
 						RelativePath="..\..\src\LinePropsPanel.cpp"
@@ -1387,10 +1283,6 @@
 						>
 					</File>
 					<File
-						RelativePath="..\..\src\PropsPanelBase.h"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\SectorPropsPanel.cpp"
 						>
 					</File>
@@ -1614,10 +1506,6 @@
 							>
 						</File>
 						<File
-							RelativePath="..\..\dist\res\config\games\hacx.cfg"
-							>
-						</File>
-						<File
 							RelativePath="..\..\dist\res\config\games\heretic.cfg"
 							>
 						</File>
@@ -1626,10 +1514,6 @@
 							>
 						</File>
 						<File
-							RelativePath="..\..\dist\res\config\games\srb2.cfg"
-							>
-						</File>
-						<File
 							RelativePath="..\..\dist\res\config\games\strife.cfg"
 							>
 						</File>
@@ -1681,10 +1565,6 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\games\include\sectors_strife.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\games\include\specials_doom1.cfg"
 								>
 							</File>
@@ -1737,10 +1617,6 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\games\include\things_hacx.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\games\include\things_heretic.cfg"
 								>
 							</File>
@@ -1749,10 +1625,6 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\games\include\things_srb2.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\games\include\things_strife.cfg"
 								>
 							</File>
@@ -1766,18 +1638,10 @@
 							>
 						</File>
 						<File
-							RelativePath="..\..\dist\res\config\ports\edge.cfg"
-							>
-						</File>
-						<File
 							RelativePath="..\..\dist\res\config\ports\eternity.cfg"
 							>
 						</File>
 						<File
-							RelativePath="..\..\dist\res\config\ports\legacy.cfg"
-							>
-						</File>
-						<File
 							RelativePath="..\..\dist\res\config\ports\zdoom.cfg"
 							>
 						</File>
@@ -1793,10 +1657,6 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\ports\include\flags_legacy.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\ports\include\flags_mbf.cfg"
 								>
 							</File>
@@ -1825,18 +1685,10 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\ports\include\specials_edge.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\ports\include\specials_eternity.cfg"
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\ports\include\specials_legacy.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\ports\include\specials_mbf.cfg"
 								>
 							</File>
@@ -1853,10 +1705,6 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\ports\include\things_legacy.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\ports\include\things_mbf.cfg"
 								>
 							</File>
@@ -1865,10 +1713,6 @@
 								>
 							</File>
 							<File
-								RelativePath="..\..\dist\res\config\ports\include\things_stealthmonsters.cfg"
-								>
-							</File>
-							<File
 								RelativePath="..\..\dist\res\config\ports\include\things_zdoom.cfg"
 								>
 							</File>
@@ -2409,6 +2253,14 @@
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\DocsPage.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\DocsPage.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\GfxCanvas.cpp"
 				>
 			</File>
@@ -2465,14 +2317,6 @@
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\SAuiTabArt.cpp"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\SAuiTabArt.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\SDialog.cpp"
 				>
 			</File>
@@ -2589,10 +2433,6 @@
 			Name="zFiles"
 			>
 			<File
-				RelativePath="..\..\dist\res\imfrates.txt"
-				>
-			</File>
-			<File
 				RelativePath="..\..\dist\slade.pk3"
 				>
 			</File>
@@ -2606,10 +2446,6 @@
 				>
 			</File>
 			<File
-				RelativePath="..\..\dist\res\tips.txt"
-				>
-			</File>
-			<File
 				RelativePath="..\..\misc\udmf11.txt"
 				>
 			</File>
@@ -2636,15 +2472,6 @@
 					RelativePath="..\..\src\mus2mid\mus2mid.cpp"
 					>
 					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
 						Name="Release|Win32"
 						>
 						<Tool
@@ -2719,22 +2546,6 @@
 					>
 				</File>
 				<File
-					RelativePath="..\..\src\zreaders\music_opl3.cpp"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\zreaders\music_opl3.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\zreaders\music_opl_song.cpp"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\zreaders\music_opl_song.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\zreaders\music_smf_midiout.cpp"
 					>
 				</File>
@@ -2752,26 +2563,6 @@
 				</File>
 			</Filter>
 			<Filter
-				Name="GLEW"
-				>
-				<File
-					RelativePath="..\..\src\glew\glew.c"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\glew\glew.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\glew\glxew.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\glew\wglew.h"
-					>
-				</File>
-			</Filter>
-			<Filter
 				Name="Lua"
 				>
 				<File
@@ -3004,18 +2795,14 @@
 				</File>
 			</Filter>
 			<Filter
-				Name="GME"
-				>
-			</Filter>
-			<Filter
-				Name="DUMB"
+				Name="dumb"
 				>
 				<File
 					RelativePath="..\..\src\dumb\dumb.h"
 					>
 				</File>
 				<Filter
-					Name="Core"
+					Name="core"
 					>
 					<File
 						RelativePath="..\..\src\dumb\core\atexit.c"
@@ -3067,55 +2854,7 @@
 					</File>
 				</Filter>
 				<Filter
-					Name="Internal"
-					>
-					<File
-						RelativePath="..\..\src\dumb\internal\aldumb.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\barray.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\dumb.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\dumbfile.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\fir_resampler.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\it.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\lpc.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\resampler.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\riff.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\stack_alloc.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\internal\tarray.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Helpers"
+					Name="helpers"
 					>
 					<File
 						RelativePath="..\..\src\dumb\helpers\barray.c"
@@ -3128,24 +2867,6 @@
 					<File
 						RelativePath="..\..\src\dumb\helpers\fir_resampler.c"
 						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								ObjectFile="$(IntDir)\$(InputName)1.obj"
-								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								ObjectFile="$(IntDir)\$(InputName)1.obj"
-								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-							/>
-						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\dumb\helpers\lpc.c"
@@ -3156,22 +2877,10 @@
 						>
 					</File>
 					<File
-						RelativePath="..\..\src\dumb\helpers\resamp2.inc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\dumb\helpers\resamp3.inc"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\dumb\helpers\resample.c"
 						>
 					</File>
 					<File
-						RelativePath="..\..\src\dumb\helpers\resample.inc"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\dumb\helpers\resampler.c"
 						>
 					</File>
--- src/OpenGL.h
+++ src/OpenGL.h
@@ -5,7 +5,7 @@
 // OpenGL
 #ifdef __WXMSW__
 // Windows GL headers
-#include "glew/glew.h"	// Use built-in GLEW so we don't need any extra dlls
+#include "gl/glew.h"
 #include <gl/GL.h>
 #include <gl/GLU.h>
 #elif __APPLE__